View Issue Details

IDProjectCategoryView StatusLast Update
0007024Kali Linux[All Projects] Kali Package Improvementpublic2021-02-18 14:13
Reportersecuone Assigned Tosbrun  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version2020.4 
Target VersionFixed in Version 
Summary0007024: Don't see fragroute and can't install it either
DescriptionI need to use fragroute to perform some network security tasks.
However, there is no sign of it.

root@kali:/home/kali# fragroute
bash: fragroute: command not found

What makes me worry is there is no way to install it:

root@kali:/home/kali# apt-get install fragroute
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package fragroute
root@kali:/home/kali# apt-get update
Get:1 http://kali.download/kali kali-rolling InRelease [30.5 kB]
Get:2 http://kali.download/kali kali-rolling/non-free Sources [127 kB]
Get:3 http://kali.download/kali kali-rolling/main Sources [13.9 MB]
Get:4 http://kali.download/kali kali-rolling/contrib Sources [62.7 kB]
Get:5 http://kali.download/kali kali-rolling/main amd64 Packages [17.6 MB]
Get:6 http://kali.download/kali kali-rolling/contrib amd64 Packages [104 kB]
Get:7 http://kali.download/kali kali-rolling/non-free amd64 Packages [203 kB]
Fetched 32.0 MB in 3s (11.0 MB/s)
Reading package lists... Done
root@kali:/home/kali# apt-get install fragroute
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package fragroute
root@kali:/home/kali# lsb_release -a
No LSB modules are available.
Distributor ID: Kali
Description: Kali GNU/Linux Rolling
Release: 2020.3
Codename: kali-rolling

I have googled all over internet and it seems that fragroute is always present with kali linux.
Steps To ReproduceSee the description.

Thanks!
Additional InformationDon't have any

Activities

sbrun

2021-02-02 09:55

manager   ~0014186

fragroute has been removed from Kali because it was obsolete.
https://pkg.kali.org/pkg/fragroute

secuone

2021-02-02 14:52

reporter   ~0014191

Hi @sbrun , could you add a note on when this should be closed? Maybe I did something obviously? I just started Kali linux a few days ago.
Thanks!

sbrun

2021-02-18 14:13

manager   ~0014229

this issue won't be fixed. fragroute is no longer in kali.

Issue History

Date Modified Username Field Change
2021-01-31 22:24 secuone New Issue
2021-02-02 09:55 sbrun Assigned To => sbrun
2021-02-02 09:55 sbrun Status new => closed
2021-02-02 09:55 sbrun Resolution open => won't fix
2021-02-02 09:55 sbrun Note Added: 0014186
2021-02-02 14:52 secuone Status closed => feedback
2021-02-02 14:52 secuone Resolution won't fix => reopened
2021-02-02 14:52 secuone Note Added: 0014191
2021-02-18 14:13 sbrun Status feedback => closed
2021-02-18 14:13 sbrun Note Added: 0014229